PaymentPlans
Esta página no está disponible en español. Se muestra la versión en inglés.
Download Bulk Payment Plan Operation File
Streams the artefact as an attachment. Only reachable through the URL returned by `GET /payment-plans/bulk/{operationId}/sign`; `signature` and `expires` are part of that URL. `type=file` is served as `text/csv` under the uploaded file name (or the stored object name for older imports), `type=backup` as `application/gzip` under `<operationId>-before.csv.gz`.
Authorization
signatureAuth signature<token>
Signature-based authentication for CSV export endpoints
In: query
Path Parameters
operationId*string
Bulk payment plan operation identifier
Format
uuidQuery Parameters
type*string
Artefact to download — file (uploaded CSV of a source=csv import) or backup ("before" snapshot of a source=selection bulk operation)
Value in
- "file"
- "backup"
signature*string
expires*integer
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-plans/bulk/497f6eca-6276-4993-bfeb-53cbbbba6f08/download?type=file&signature=string&expires=0""string"{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}